# ApplicationFramework
TKPShape
PColgp

# PColgp_FieldOfHArray2OfVec Class Reference

`#include <PColgp_FieldOfHArray2OfVec.hxx>`

Inheritance diagram for PColgp_FieldOfHArray2OfVec:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_FieldOfHArray2OfVec ()
Standard_EXPORT | PColgp_FieldOfHArray2OfVec (const Standard_Integer Size)
Standard_EXPORT | PColgp_FieldOfHArray2OfVec (const PColgp_FieldOfHArray2OfVec &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColgp_FieldOfHArray2OfVec &Other)
void | operator= (const PColgp_FieldOfHArray2OfVec &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Vec &Value)
Standard_EXPORT gp_Vec & | Value (const Standard_Integer Index) const
gp_Vec & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColgp_FieldOfHArray2OfVec ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColgp_FieldOfHArray2OfVec_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_FieldOfHArray2OfVec::PColgp_FieldOfHArray2OfVec | ( |  | ) |

Standard_EXPORT PColgp_FieldOfHArray2OfVec::PColgp_FieldOfHArray2OfVec | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColgp_FieldOfHArray2OfVec::PColgp_FieldOfHArray2OfVec | ( | const PColgp_FieldOfHArray2OfVec & | Varray | ) |

PColgp_FieldOfHArray2OfVec::~PColgp_FieldOfHArray2OfVec | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColgp_FieldOfHArray2OfVec::Assign | ( | const PColgp_FieldOfHArray2OfVec & | Other | ) |

Standard_EXPORT void PColgp_FieldOfHArray2OfVec::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColgp_FieldOfHArray2OfVec::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray2OfVec::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray2OfVec::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

gp_Vec& PColgp_FieldOfHArray2OfVec::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColgp_FieldOfHArray2OfVec::operator= | ( | const PColgp_FieldOfHArray2OfVec & | Other | ) | `[inline]`

Standard_EXPORT void PColgp_FieldOfHArray2OfVec::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColgp_FieldOfHArray2OfVec::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Vec & | Value
| ) |

Standard_EXPORT gp_Vec& PColgp_FieldOfHArray2OfVec::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColgp_FieldOfHArray2OfVec_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColgp_FieldOfHArray2OfVec.hxx